<div class="title">系统设置</div>

<?
	if($check<>"ok"){
?>
<form action="" method="post">
	<p>管理帐号：<input type="text" name="username" value=""> (必填)
	<p>管理密码：<input type="text" name="password" value=""> (必填)
	<p>联盟名称：<input type="text" name="name"	value="<?=PRODUCT;?>"> (必填)
	<p>联盟地址：<input type="text" name="host" value="http://<?=strtolower($_SERVER["SERVER_NAME"]);?>"> (必填)
	<p>客服ＱＱ：<input type="text" name="qq1" value=""> (选填)
	<p>技术ＱＱ：<input type="text" name="qq2" value=""> (选填)
	<p>电子邮件：<input type="text" name="email" value=""> (选填)
	<p>联系电话：<input type="text" name="phone" value=""> (选填)
	<p>授权序号：<input type="text" name="license" value=""> (选填)
	<p><input type="hidden" name="check" value="ok"><button type="submit">请点这里进行系统设置</button>
</form>
<style>#do2{visibility:hidden;}</style>
<?
	}
	else{
		if($username=="root" or $username=="admin" or $username=="manage" or strlen($username)<4){
			exit("<script>alert('温馨提示：\\n\\n管理帐号为常见单词，或者长度太短不符合安全要求，\\n\\n请重新设定管理帐号！');history.go(-1);</script>");
		}
		if(strlen($password)<6){
			exit("<script>alert('温馨提示：\\n\\n管理密码太短不符合安全要求，\\n\\n请重新设定管理密码！');history.go(-1);</script>");
		}	
		
		$common=@file_get_contents(dirname(__FILE__)."/data/common.dat") or die("<script>alert('温馨提示：\\n\\n读取通用脚本文件setup/common.dat失败，\\n\\n请检查该文件是否可读取！');history.go(-1);</script>");
		$common=str_replace("#name#",$name,$common);		
		$common=str_replace("#host#",$host,$common);
		$fp=fopen(dirname(__FILE__)."/../code/data/common.js","w") or die("<script>alert('温馨提示：\\n\\n写入通用脚本文件code/data/common.js失败，\\n\\n请检查code/data/目录是否可写入！');history.go(-1);</script>");
		fwrite($fp,$common);
		fclose($fp);		

		$config=@file_get_contents(dirname(__FILE__)."/data/config.dat") or die("<script>alert('温馨提示：\\n\\n读取配置文件setup/config.dat失败，\\n\\n请检查该文件是否可读取！');history.go(-1);</script>");
		$config=str_replace("#name#",$name,$config);		
		$config=str_replace("#host#",$host,$config);
		$fp=fopen(dirname(__FILE__)."/../config.inc","w") or die("<script>alert('温馨提示：\\n\\n写入配置文件config.inc失败，\\n\\n请检查根目录是否可写入！');history.go(-1);</script>");
		fwrite($fp,$config);
		fclose($fp);

		$filename=realpath(dirname(__FILE__)."/../custom.inc");
		$custom=@file_get_contents($filename);
		$custom=str_replace("#qq1#",$qq1,$custom);		
		$custom=str_replace("#qq2#",$qq2,$custom);		
		$custom=str_replace("#email#",$email,$custom);		
		$custom=str_replace("#phone#",$phone,$custom);		
		$custom=str_replace("#license#",$license,$custom);
		$fp=fopen($filename,"w");
		fwrite($fp,$custom);
		fclose($fp);
		
		require_once("../custom.inc");
		@mysql_connect($db_host,$db_username,$db_password);
		@mysql_select_db($db_name);
		$sql="update ".TYPE."_account set username='".$username."',password='".md5($password)."',truename='管理员',email='".$email."',im='".$qq1."',phone='".$phone."',role='admin' where id=1";
		mysql_query($sql);
		if(mysql_affected_rows()<=0){
			$sql="insert into ".TYPE."_account(id,username,password,truename,email,phone,im,role,status) values(1,'".$username."','".md5($password)."','管理员','".$email."','".$qq1."','".$phone."','admin',1)";
			mysql_query($sql);
		}		

		$_SESSION["installing"]=$step+1;

		echo "<p>系统设置成功，请进行下一步操作！";
	}
?>